close all
meshfile=gmsh.buildmesh2d('condenser',10);
Th=siMesh(meshfile);
u=@(x,y) cos(2*x-y).*sin(x-2*y);
U=Th.eval(u);
figure(1)
Th.plotVal(U)
hold on
Th.plotIsolines(U,'isorange',0, 'color','w', 'Linewidth',1.5);
axis off,axis image,shading interp,colorbar

figure(2)
Th.plotVal(U,'FaceAlpha',0.8)
hold on
[Colors,isorange]=Th.plotIsolines(U,'niso',20, 'Linewidth',1.5);
axis off,axis image, shading interp
fc_tools.graphics.colorbarIso(Colors,isorange,'%.3f')
fc_tools.graphics.DisplayFigures();