close all

% Build mesh from .geo file 
meshfile=gmsh.buildmesh2d('square4',3);                    

Th=siMesh(meshfile);

tstart=tic();
figure(1);
Th.plot('legend',true);
hold on
Th.plotVertices('markersize',12)
Th.plotElementsNumber()
axis off;axis image
set(legend(),'Location','NorthEastOutside')
T=toc(tstart);
title(sprintf('nq=%d, nme=%d, display in %.3f(s)',Th.nq,Th.get_nme(),T))

tstart=tic();
figure(2)
Th.plot('color',[0.85,0.85,0.85])
hold on
Th.plot('d',1,'Linewidth',2,'legend',true);
Th.plotElementsNumber('d',1)
Th.plotVerticesNumber('d',1,'Global',true)
axis off;axis image
set(legend(),'Location','NorthEastOutside')
T=toc(tstart);
title(sprintf('nq=%d, nme=%d, display in %.3f(s)',Th.nq,Th.get_nme(),T))

fc_tools.graphics.DisplayFigures();