function varargout=plotVal(self,u,varargin)
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('d',self.d,@isscalar);
  p.addParamValue('labels',[]); % select labels to draw
  p.addParamValue('plan',false);
  %p.addParamValue('PlotOptions',{});
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  if fc_tools.comp.isOctave()
    NotImplemented={'FaceAlpha','EdgeAlpha'};
    nv=length(varargin);
    varargin=fc_tools.utils.deleteCellOptions(varargin,NotImplemented);
    if length(varargin)<nv
      fprintf('[fc-simesh] ''FaceAlpha'' or ''EdgeAlpha'' not yet implemented in plotVal\n');
    end
  end
  
  if isempty(R.labels), idxlab=self.find(R.d);else idxlab=self.find(R.d,R.labels);end
  if isempty(idxlab), return;end

  PrevHold=fc_tools.graphics.SetHoldOn(true);
  if ~PrevHold, clf;hold on;end
  i=1;
  for ilab=[idxlab]
      H(i)=self.sTh{ilab}.plotVal(u,'plan',R.plan,varargin{:});
      i=i+1;
  end
  fc_tools.graphics.RestoreHold(PrevHold)
  if nargout==1,varargout{1}=H;end
end
